curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "string", "path": "string", "custom_endpoint_details": { "service_port": false, "metric_port": false, "container": { "advance_config": { "liveness_probe": { "commands": "string" }, "readiness_probe": { "path": "string", "port": "string", "protocol": "string", "period_seconds": 0, "timeout_seconds": 0, "failure_threshold": 0, "success_threshold": 0, "initial_delay_seconds": 0, "commands": "string" }, "image_pull_policy": "string", "is_liveness_probe_enabled": false, "is_readiness_probe_enabled": false }, "container_name": "string", "container_type": "string", "private_image_details": {} }, "public_ip": "string", "resource_details": { "disk_size": 0, "mount_path": "string", "env_variables": [ "string" ] } }, "model_id": "string", "committed_replicas": 0, "replica": 0, "framework": "string", "is_auto_scale_enabled": false, "auto_scale_policy": { "min_replicas": 0, "max_replicas": 0, "rules": [ { "value": 0, "metric": "string", "window": 0, "granularity": 0, "watch_period": 0, "condition_type": "string", "custom_metric_name": "string" } ], "stability_period": "string", "initial_cooldown_period": "string", "is_hold_queue": false }, "detailed_info": { "args": "string", "commands": "string", "info_log": false, "error_log": false, "tokenizer": "string", "world_size": 0, "engine_args": {}, "warning_log": false, "server_version": "string", "hugging_face_id": "string", "model_serve_type": "string", "log_verbose_level": 0 }, "model_load_integration_id": 0, "dataset_id": "string", "dataset_path": "string", "cluster_type": "string", "storage_type": "string", "sfs_path": "string", "disk_path": "string", "sku_id": 0, "sku_item_price_id": 0, "action": "string", "async_enabled": false, "async_concurrent_workers": 0, "async_dataset_id": 0, "async_destination_type": "string", "async_target_routes": [ { "route_name": "string", "route_value": "string" } ]}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "string", "path": "string", "custom_endpoint_details": { "service_port": False, "metric_port": False, "container": { "advance_config": { "liveness_probe": { "commands": "string", }, "readiness_probe": { "path": "string", "port": "string", "protocol": "string", "period_seconds": 0, "timeout_seconds": 0, "failure_threshold": 0, "success_threshold": 0, "initial_delay_seconds": 0, "commands": "string", }, "image_pull_policy": "string", "is_liveness_probe_enabled": False, "is_readiness_probe_enabled": False, }, "container_name": "string", "container_type": "string", "private_image_details": {}, }, "public_ip": "string", "resource_details": { "disk_size": 0, "mount_path": "string", "env_variables": [ "string", ], }, }, "model_id": "string", "committed_replicas": 0, "replica": 0, "framework": "string", "is_auto_scale_enabled": False, "auto_scale_policy": { "min_replicas": 0, "max_replicas": 0, "rules": [ { "value": 0, "metric": "string", "window": 0, "granularity": 0, "watch_period": 0, "condition_type": "string", "custom_metric_name": "string", }, ], "stability_period": "string", "initial_cooldown_period": "string", "is_hold_queue": False, }, "detailed_info": { "args": "string", "commands": "string", "info_log": False, "error_log": False, "tokenizer": "string", "world_size": 0, "engine_args": {}, "warning_log": False, "server_version": "string", "hugging_face_id": "string", "model_serve_type": "string", "log_verbose_level": 0, }, "model_load_integration_id": 0, "dataset_id": "string", "dataset_path": "string", "cluster_type": "string", "storage_type": "string", "sfs_path": "string", "disk_path": "string", "sku_id": 0, "sku_item_price_id": 0, "action": "string", "async_enabled": False, "async_concurrent_workers": 0, "async_dataset_id": 0, "async_destination_type": "string", "async_target_routes": [ { "route_name": "string", "route_value": "string", }, ], },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "path": "string", "custom_endpoint_details": { "service_port": false, "metric_port": false, "container": { "advance_config": { "liveness_probe": { "commands": "string" }, "readiness_probe": { "path": "string", "port": "string", "protocol": "string", "period_seconds": 0, "timeout_seconds": 0, "failure_threshold": 0, "success_threshold": 0, "initial_delay_seconds": 0, "commands": "string" }, "image_pull_policy": "string", "is_liveness_probe_enabled": false, "is_readiness_probe_enabled": false }, "container_name": "string", "container_type": "string", "private_image_details": {} }, "public_ip": "string", "resource_details": { "disk_size": 0, "mount_path": "string", "env_variables": [ "string" ] } }, "model_id": "string", "committed_replicas": 0, "replica": 0, "framework": "string", "is_auto_scale_enabled": false, "auto_scale_policy": { "min_replicas": 0, "max_replicas": 0, "rules": [ { "value": 0, "metric": "string", "window": 0, "granularity": 0, "watch_period": 0, "condition_type": "string", "custom_metric_name": "string" } ], "stability_period": "string", "initial_cooldown_period": "string", "is_hold_queue": false }, "detailed_info": { "args": "string", "commands": "string", "info_log": false, "error_log": false, "tokenizer": "string", "world_size": 0, "engine_args": {}, "warning_log": false, "server_version": "string", "hugging_face_id": "string", "model_serve_type": "string", "log_verbose_level": 0 }, "model_load_integration_id": 0, "dataset_id": "string", "dataset_path": "string", "cluster_type": "string", "storage_type": "string", "sfs_path": "string", "disk_path": "string", "sku_id": 0, "sku_item_price_id": 0, "action": "string", "async_enabled": false, "async_concurrent_workers": 0, "async_dataset_id": 0, "async_destination_type": "string", "async_target_routes": [ { "route_name": "string", "route_value": "string" } ] }),});console.log(await response.json());Use PUT to update model endpoint configuration or perform actions.
action value |
Purpose |
|---|---|
patch |
Update endpoint configuration |
restart |
Restart the running endpoint |
stop |
Stop the endpoint |
start |
Start a stopped endpoint |
update_auto_scale |
Create or update the autoscaling policy |
update_async_configuration |
Enable or disable async invocation |
Autoscaling metrics
The metric field in each rule supports:
concurrency— scales based on the number of concurrent in-flight requests.requestRate— scales based on incoming requests per second.custom— scales based on a framework-specific metric; requirescustom_metric_name.
Async Invocation
Use action: "update_async_configuration" to enable or disable async invocation.
async_enabled |
Effect |
|---|---|
true |
Enables async invocation with the specified worker count and dataset destination |
false |
Disables async invocation |
When enabling, provide:
async_concurrent_workers— number of parallel async workersasync_dataset_id— ID of the dataset to store async resultsasync_destination_type— destination type (e.g."dataset")async_target_routes— list of route mappings (route_name→route_value)
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
Request Body
Section titled “Request Body”object
The name of the model configuration.
The path for the model configuration. Can be empty.
object
Whether a service port is enabled.
Whether a metric port is enabled.
object
object
object
Liveness probe commands.
object
The readiness probe path.
The port for readiness probe.
The protocol for readiness probe.
Period in seconds to check readiness.
Timeout for readiness probe.
Failure threshold for readiness probe.
Success threshold for readiness probe.
Initial delay before readiness probe starts.
Readiness probe commands.
The image pull policy.
Whether the liveness probe is enabled.
Whether the readiness probe is enabled.
The container image name.
The type of the container (e.g., public or private).
Details about the private container image, if applicable.
object
Whether a public IP is used (yes/no).
object
Disk size in GB.
Path to mount for resources.
List of environment variables for the container.
The model ID (null if not specified).
Number of committed replicas.
Number of replicas to run.
The framework used (e.g., vllm).
Whether auto-scaling is enabled.
object
Minimum number of replicas for auto-scaling.
Maximum number of replicas for auto-scaling.
object
Metric value for auto-scaling rule.
Metric to track for auto-scaling.
The window for metric evaluation.
Granularity for evaluation.
Watch period for metric evaluation.
The condition type for scaling.
The custom metric name if applicable.
Stability period (in seconds) — minimum time the system waits after a scale event before evaluating again.
Cooldown period (in seconds) applied after the very first scale-up before further scaling decisions are evaluated.
When true, incoming requests are held in a queue while all replicas are busy. When false, excess requests are rejected immediately.
object
Arguments passed to the model.
Commands executed for the model.
Whether info logging is enabled.
Whether error logging is enabled.
Tokenizer to use for model processing.
The world size for distributed processing.
Additional arguments for the model engine.
object
Whether warning logging is enabled.
The server version for deployment.
The hugging face ID for the model.
Type of model serving method.
Log verbosity level.
Integration ID for model load.
Dataset ID associated with the model.
Path to the dataset if available.
The type of cluster for deployment.
The storage type used (e.g., disk).
Path for the shared file system.
Path to the disk storage.
SKU ID for the model.
Price ID for the model.
The action to be performed (e.g., patch, restart, stop, start, update_auto_scale, update_async_configuration).
Set true to enable async invocation, false to disable. Used with action: update_async_configuration.
Number of parallel async workers. Required when enabling async invocation.
ID of the dataset to store async results. Required when enabling async invocation.
Destination type for async results (e.g. "dataset").
List of route mappings for async inference.
object
Internal queue name (e.g. "QUEUE_1").
Endpoint route to call (e.g. "predict").
Example generated
{ "name": "example", "path": "example", "custom_endpoint_details": { "service_port": true, "metric_port": true, "container": { "advance_config": { "liveness_probe": { "commands": "example" }, "readiness_probe": { "path": "example", "port": "example", "protocol": "example", "period_seconds": 1, "timeout_seconds": 1, "failure_threshold": 1, "success_threshold": 1, "initial_delay_seconds": 1, "commands": "example" }, "image_pull_policy": "example", "is_liveness_probe_enabled": true, "is_readiness_probe_enabled": true }, "container_name": "example", "container_type": "example", "private_image_details": {} }, "public_ip": "example", "resource_details": { "disk_size": 1, "mount_path": "example", "env_variables": [ "example" ] } }, "model_id": "example", "committed_replicas": 1, "replica": 1, "framework": "example", "is_auto_scale_enabled": true, "auto_scale_policy": { "min_replicas": 1, "max_replicas": 1, "rules": [ { "value": 1, "metric": "example", "window": 1, "granularity": 1, "watch_period": 1, "condition_type": "example", "custom_metric_name": "example" } ], "stability_period": "example", "initial_cooldown_period": "example", "is_hold_queue": true }, "detailed_info": { "args": "example", "commands": "example", "info_log": true, "error_log": true, "tokenizer": "example", "world_size": 1, "engine_args": {}, "warning_log": true, "server_version": "example", "hugging_face_id": "example", "model_serve_type": "example", "log_verbose_level": 1 }, "model_load_integration_id": 1, "dataset_id": "example", "dataset_path": "example", "cluster_type": "example", "storage_type": "example", "sfs_path": "example", "disk_path": "example", "sku_id": 1, "sku_item_price_id": 1, "action": "example", "async_enabled": true, "async_concurrent_workers": 1, "async_dataset_id": 1, "async_destination_type": "example", "async_target_routes": [ { "route_name": "example", "route_value": "example" } ]}Responses
Section titled “Responses”Action performed successfully on the model endpoint.
object
HTTP status code.
Message describing the result of the action performed.
object
Example
{ "code": 200, "data": "Model Endpoint restarted successfully", "message": "Success"}